Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Interface SwiftReader

All Known Implementing Classes:
  SwiftHRFFieldSpecReader, SwiftHRFReader, SwiftHRFSpecReader

    public interface SwiftReader

Read in a text file as lines of charactors, check the following:

Method Summary
`void` | `parse(java.io.File input)` parse the html file `input`
`java.lang.String` | `readNextElement(java.lang.String currLine, java.lang.String openTag, java.lang.String closeTag, int srchLimitOpen, int srchLimitClose, boolean inclusive, java.lang.String[] lastLine, java.lang.String terminator)` given open and close tags and a current line of text processed, return the string that is enveloped with open and close tag

Method Detail

### parse

    void parse(java.io.File input)
               throws java.lang.Exception

  parse the html file `input`

  Parameters:
    `input` -
  Throws:
    `java.lang.Exception`

### readNextElement

    java.lang.String readNextElement(java.lang.String currLine,
                                     java.lang.String openTag,
                                     java.lang.String closeTag,
                                     int srchLimitOpen,
                                     int srchLimitClose,
                                     boolean inclusive,
                                     java.lang.String[] lastLine,
                                     java.lang.String terminator)
                                     throws java.io.IOException

  given open and close tags and a current line of text processed, return the string that is enveloped with open and close tag

  Parameters:
    `currLine` - - current line where the search for open tag starts with;
    `openTag` - - open tag
    `closeTag` - - close tag
    `srchLimitOpen` - - # lines to search for the open tag
    `srchLimitClose` - - # lines to search for the close tag
    `inclusive` - - true include the tags in the result, false otherwise;
    `lastLine` - - the last line read when the search process finishes;
    `termiantor` - - a string if found in the line processed - the process will terminate and return;
  Returns:
    the string that is enveloped by the tags, NULL - failed to find one within the limits;
  Throws:
    `java.io.IOException` - - if there is IO error during line reading;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.